Bug 1485321 - [GSS] Can't remove missing node via heketi-cli
Summary: [GSS] Can't remove missing node via heketi-cli
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi
Version: rhgs-3.2
Hardware: Unspecified
OS: Linux
urgent
high
Target Milestone: ---
: CNS 3.9
Assignee: Raghavendra Talur
QA Contact: Rachael
URL:
Whiteboard:
Depends On:
Blocks: 1526414
TreeView+ depends on / blocked
 
Reported: 2017-08-25 12:12 UTC by Damian Wojsław
Modified: 2021-03-11 15:39 UTC (History)
12 users (show)

Fixed In Version: heketi-6.0.0-2.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-05 03:08:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0638 0 None None None 2018-04-05 03:09:27 UTC

Comment 22 Rachael 2018-03-13 12:28:22 UTC
On a 3 node cluster a new node was added. One of the nodes in the cluster was powered off. A node remove was performed on that node. The node removal was successful and all the bricks were migrated to the newly added node. The devices in the removed node were deleted followed by the deletion of the node itself.

When the remove node command was run, after a while it returned an error message:

[root@dhcp46-214 ~]# heketi-cli node remove c951bbce79ce347593cc3440e724df44
Error: Token used before issued

A separate bug has been raised for this issue: Bug 1554796

The logs and other details can be found here: http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/1485321/

Hence moving this bug to verified.

Comment 25 errata-xmlrpc 2018-04-05 03:08:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0638


Note You need to log in before you can comment on or make changes to this bug.